%define	major		10
%define	oname		nice
%define	libname		%mklibname %{oname} %major
%define develname	%mklibname %{oname} -d

Name:		libnice
Version:	0.1.1
Release:	%mkrel 5
Summary:	Implementation of the IETF's draft Interactive Connectivity Establishment standard
License:	LGPLv2+ and MPLv1+
Group:		System/Libraries
URL:		http://nice.freedesktop.org/wiki/
Source:		http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRequires:	libglib2-devel
BuildRequires:	libgupnp-igd-devel >= 0.1.2
BuildRequires:	libgstreamer-plugins-base-devel

%description
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.

Nice includes integration with GStreamer. It is used by Farsight for RTP
transport. 

%package -n	%{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Provides: 	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}nice1 < 0.1.1-4

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header files, static libraries and development
documentation for %{oname}. If you like to develop programs using %{oname},
you will need to install %{oname}-devel.

%package 	utils
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides: 	%{name}-utils = %{version}-%{release}
Obsoletes:	libnice

%description 	utils
This package contains various tools from %{name}.

%package -n	gstreamer0.10-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}
# conflict with older %%libname that had the gst .so, before the split
Conflicts:	%{_lib}nice0 < 0.1.0
Conflicts:	%{_lib}nice1 < 0.1.0

%description -n	gstreamer0.10-%{oname}
Gstreamer elements from %{oname}.

%prep
%setup -q

%build
#autoreconf -fiv
%configure2_5x \
	--enable-gupnp \
	--disable-static

# disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall

# don't ship .la
find %{buildroot} -name "*.la" -delete

%check
make check

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS COPYING COPYING.LGPL COPYING.MPL NEWS README
%defattr(-,root,root,-)
%{_includedir}/%{oname}/*.h
%{_includedir}/stun/*.h
%{_includedir}/stun/usages/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gtk-doc/html/%{name}/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/stun*

%files -n gstreamer0.10-%{oname}
%defattr(-,root,root,-)
%{_libdir}/gstreamer-0.10/*.so


%changelog

* Sat Mar 03 2012 wally <wally> 0.1.1-5.mga2
+ Revision: 217167
- rebuild due to PEM (Package Eating Monster)

* Sat Mar 03 2012 wally <wally> 0.1.1-4.mga2
+ Revision: 217132
- fix libname (change libmajor 1 -> 10)

* Mon Jan 09 2012 dmorgan <dmorgan> 0.1.1-3.mga2
+ Revision: 194040
- Provides libnice-devel

* Tue Nov 08 2011 wally <wally> 0.1.1-2.mga2
+ Revision: 165603
- rebuild for new gupnp-igd

* Thu Sep 22 2011 wally <wally> 0.1.1-1.mga2
+ Revision: 146807
- new version 0.1.1

* Mon Jul 04 2011 anssi <anssi> 0.1.0-4.mga2
+ Revision: 117869
- add more conflicts to ease upgrade

* Fri Apr 15 2011 ahmad <ahmad> 0.1.0-3.mga1
+ Revision: 85907
- fix the file list

* Fri Apr 15 2011 ahmad <ahmad> 0.1.0-2.mga1
+ Revision: 85830
- split gstreamer0.10 library in a separate subpackage to each major upgrades
- disable static build and don't ship .la
- disable rpath (Fedora)
- fix the License tag
- %%doc some more files and move all of them to the -devel subpackage

* Thu Apr 14 2011 dams <dams> 0.1.0-1.mga1
+ Revision: 85006
- Update to 0.1.0

* Sun Jan 23 2011 wally <wally> 0.0.13-2.mga1
+ Revision: 33557
- remove old mdv scriptlets
- split long (>79 chars) lines in description
- tighten requires

  + eandry <eandry>
    - imported package libnice


* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 0.0.13-1mdv2011.0
+ Revision: 557307
- new version 0.0.13
- rebuild for new gupnp-igd

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.12-1mdv2011.0
+ Revision: 550734
- New version 0.0.12

* Tue Apr 06 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.11-1mdv2010.1
+ Revision: 532333
- New version 0.0.11

* Thu Jan 07 2010 Jani Välimaa <wally@mandriva.org> 0.0.10-2mdv2010.1
+ Revision: 487207
- rebuild for new gupnp-igd

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.10-1mdv2010.1
+ Revision: 465208
- update to new version 0.0.10

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-3mdv2010.0
+ Revision: 445927
- Rebuild for new gupnp

* Tue Aug 25 2009 Lev Givon <lev@mandriva.org> 0.0.9-2mdv2010.0
+ Revision: 421288
- Specify required versions of build dependencies.

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-1mdv2010.0
+ Revision: 410342
- update to new version 0.0.9

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.8-3mdv2010.0
+ Revision: 402812
- rename libnice package (containing binaries) to libnice-utils

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-2mdv2010.0
+ Revision: 387853
- Build with gupnp support
- Use %%configure2_5x instead of %%configure

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-1mdv2010.0
+ Revision: 387823
- update to new version 0.0.8

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.6-1mdv2010.0
+ Revision: 379979
- update to new version 0.0.6

* Fri Mar 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-2mdv2009.1
+ Revision: 358234
- move gstreamer .so file in library package

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-1mdv2009.1
+ Revision: 350288
- New version 0.0.5
- disable autoreconf
- update files list

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 326839
- New version 0.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Nov 29 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.3-1mdv2009.1
+ Revision: 307518
- import libnice


